petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatProductSetType

Sets a particular matrix product type, for example Mat*Mat.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductSetType(Mat mat,MatProductType productype)

Collective on Mat

### Input Parameters

| mat | - the matrix
| productype | - matrix product type, e.g., MATPRODUCT_AB,MATPRODUCT_AtB,MATPRODUCT_ABt,MATPRODUCT_PtAP,MATPRODUCT_RARt,MATPRODUCT_ABC.

### See Also

MatProductCreate(), MatProductType, MatProductAlgorithm

### Level

intermediate

### Location

src/mat/interface/matproduct.c

### Examples

src/tao/pde_constrained/tutorials/parabolic.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages